Package: io.vertx.groovy.ext.web.handler.sockjs

## [Groovy] Class BridgeEvent

- io.vertx.groovy.ext.web.handler.sockjs.BridgeEvent

- Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BridgeEvent (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `complete(java.lang.Boolean arg0)`
    `io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>>` | `completer()`
    `Future<U>` | `compose(io.vertx.core.Handler<java.lang.Boolean> handler, Future<U> next)`
    `Future<U>` | `compose(java.util.function.Function<java.lang.Boolean, Future<U>> mapper)`
    `java.lang.Object` | `getDelegate()`
    `java.util.Map<java.lang.String, java.lang.Object>` | `getRawMessage()` Get the raw JSON message for the event.
    `Future<U>` | `map(java.util.function.Function<java.lang.Boolean, U> mapper)`
    `java.util.Map<java.lang.String, java.lang.Object>` | `rawMessage()` Use BridgeEvent.getRawMessage instead, will be removed in 3.3 @return
    `java.lang.Boolean` | `result()`
    `Future<java.lang.Boolean>` | `setHandler(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>> arg0)`
    `BridgeEvent` | `setRawMessage(java.util.Map<java.lang.String, java.lang.Object> message)` Get the raw JSON message for the event.
    `SockJSSocket` | `socket()` Get the SockJSSocket instance corresponding to the event
    `io.vertx.ext.web.handler.sockjs.BridgeEventType` | `type()` @return the type of the event

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Future` | `cause, complete, complete, completer, compose, compose, fail, fail, failed, failedFuture, future, getDelegate, isComplete, map, map, result, setHandler, succeeded, succeededFuture, succeededFuture`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### BridgeEvent(java.lang.Object delegate)

  - ### Method Detail

    - #### void complete(java.lang.Boolean arg0)

    - #### io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>> completer()

    - #### Future<U> compose(io.vertx.core.Handler<java.lang.Boolean> handler, Future<U> next)

    - #### Future<U> compose(java.util.function.Function<java.lang.Boolean, Future<U>> mapper)

    - #### java.lang.Object getDelegate()

    - #### java.util.Map<java.lang.String, java.lang.Object> getRawMessage()

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved. If the returned message is modified, BridgeEvent.setRawMessage should be called with the new message.

      Returns:
        the raw JSON message for the event

    - #### Future<U> map(java.util.function.Function<java.lang.Boolean, U> mapper)

    - #### java.util.Map<java.lang.String, java.lang.Object> rawMessage()

      Use BridgeEvent.getRawMessage instead, will be removed in 3.3

      Returns:

    - #### java.lang.Boolean result()

    - #### Future<java.lang.Boolean> setHandler(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Boolean>> arg0)

    - #### BridgeEvent setRawMessage(java.util.Map<java.lang.String, java.lang.Object> message)

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.

      Returns:
        this reference, so it can be used fluently
      Parameters:
        `message` - the raw message

    - #### SockJSSocket socket()

      Get the SockJSSocket instance corresponding to the event

      Returns:
        the SockJSSocket instance

    - #### io.vertx.ext.web.handler.sockjs.BridgeEventType type()

      Returns:
        the type of the event